firefox - red x icons in upload dialogs opened by flashplugin-nonfree on amd64

Bug #218635 reported by Savvas Radevic on 2008-04-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Epiphany Browser
Invalid
Undecided
Unassigned
firefox-3.0 (Ubuntu)
Low
Unassigned
flashplugin-nonfree (Ubuntu)
Low
Unassigned
ia32-libs (Ubuntu)
Undecided
Unassigned
nspluginwrapper (Ubuntu)
Low
Unassigned
wordpress (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: nspluginwrapper

Hardy heron 8.04 (alpha5 until beta) updated amd64 / x86_64
Mozilla Firefox 3.0 beta 5

I have several sites where I can see this problem
They pop up an upload dialog in firefox and ask for files to upload.
For example: http://www.scribd.com/upload or try to upload media (a picture) in the new wordpress 2.5

Everytime I click on "click to upload", it pops up a file dialog where it asks me to choose a file to upload.
The problems are:
1) I can't see the icons of the filesystem, only icons marked with a red "X"
2) Don't know if it's related, but Firefox seems to hang while I navigate through to choose a specific file to upload.

I think they use a flash-based upload.

Could be related to bug #140604 as I get a warning when I click "click to upload".
I have run firefox through gnome-terminal and got this:
(npviewer.bin:10951): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/filesystems/libgio.so: wrong ELF class: ELFCLASS64

Package info:
$ apt-cache policy nspluginwrapper flashplugin-nonfree firefox
nspluginwrapper:
  Installed: 0.9.91.5-2ubuntu2
  Candidate: 0.9.91.5-2ubuntu2
  Version table:
 *** 0.9.91.5-2ubuntu2 0
        500 http://archive.ubuntu.com hardy/multiverse Packages
        100 /var/lib/dpkg/status
flashplugin-nonfree:
  Installed: 9.0.124.0ubuntu1
  Candidate: 9.0.124.0ubuntu2
  Version table:
     9.0.124.0ubuntu2 0
        500 http://archive.ubuntu.com hardy/multiverse Packages
 *** 9.0.124.0ubuntu1 0
        100 /var/lib/dpkg/status
firefox:
  Installed: 3.0~b5+nobinonly-0ubuntu2
  Candidate: 3.0~b5+nobinonly-0ubuntu2
  Version table:
 *** 3.0~b5+nobinonly-0ubuntu2 0
        500 http://archive.ubuntu.com hardy/main Packages
        100 /var/lib/dpkg/status

Savvas Radevic (medigeek) wrote :
Savvas Radevic (medigeek) wrote :

Some more errors:
(npviewer.bin:10951): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/filesystems/libgio.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-find' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-file' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-find' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-file' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-edit' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-add' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-remove' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-file' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-edit' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-directory' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
(npviewer.bin:10951): Gtk-WARNING **: Error loading theme icon 'gtk-add' for stock: Unable to load image-loading module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

description: updated
Savvas Radevic (medigeek) wrote :

And when I closed the firefox tab with the scribd.com/upload site:
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
(npviewer.bin:10951): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

Savvas Radevic (medigeek) wrote :

now I can't upload files using wordpress 2.5 at all

Savvas Radevic (medigeek) wrote :

I had to block the swf using adblock plus with this filter: */swfupload/swfupload_f9.swf
Well at least it's a workaround for now..

looks like npviewer doesn't use the correct 32-bit loaders:
$ locate libpixbufloader-png.so
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
/usr/lib32/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so

Hew (hew) wrote :

I also experience this on http://www.filedropper.com/

Changed in firefox-3.0:
status: New → Confirmed
SneakyWho_am_i (sneakywho-am-i) wrote :
Download full text (12.5 KiB)

What's really interesting me is that some of those failed assertions you posted showed up in 2006 for a completely different package:
https://bugs.launchpad.net/ubuntu/+source/grip/+bug/41601
It makes me wonder if the GTK_IS_WIDGET hiccup is not Firefox's fault.

I failed that assertion a few times in Firefox also:
==============================================================================
GCJ PLUGIN: thread 0x805e090: NP_GetMIMEDescription
GCJ PLUGIN: thread 0x805e090: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0x805e090: NP_GetValue
GCJ PLUGIN: thread 0x805e090: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0x805e090: NP_GetValue return
GCJ PLUGIN: thread 0x805e090: NP_GetValue
GCJ PLUGIN: thread 0x805e090: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x805e090: NP_GetValue return
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
GCJ PLUGIN: thread 0x805e090: NP_GetMIMEDescription
GCJ PLUGIN: thread 0x805e090: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0x805e090: NP_GetValue
GCJ PLUGIN: thread 0x805e090: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0x805e090: NP_GetValue return
GCJ PLUGIN: thread 0x805e090: NP_GetValue
GCJ PLUGIN: thread 0x805e090: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x805e090: NP_GetValue return

(firefox:11111): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(firefox:11111): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(firefox:11111): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(firefox:11111): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
call failed
Error: No running window found
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
GCJ PLUGIN: thread 0x805e0f0: NP_GetMIMEDescription
GCJ PLUGIN: thread 0x805e0f0: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0x805e0f0: NP_GetValue
GCJ PLUGIN: thread 0x805e0f0: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0x805e0f0: NP_GetValue return
GCJ PLUGIN: thread 0x805e0f0: NP_GetValue
GCJ PLUGIN: thread 0x805e0f0: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x805e0f0: NP_GetValue return
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** ...

SneakyWho_am_i (sneakywho-am-i) wrote :

OH! And yes, all that konsole stuff I pasted is from Firefox 3, before anyone asks

As I mentioned above, I think it's related to 64-bit releases,
nspluginwrapper probably is linked to 64-bit gtk loaders instead of
32-bit ones

I too am experiencing the issue on 64-bit

Changed in nspluginwrapper:
status: New → Confirmed
Alexander Sack (asac) wrote :

not nspluginwrapper

Changed in nspluginwrapper:
status: Confirmed → Invalid
Alexander Sack (asac) wrote :

not wordpress too.

Changed in wordpress:
status: New → Invalid
Alexander Sack (asac) wrote :

If you still see this in latest hardy, could you please try to install xulrunner-1.9-gnome-support and see if things improve?

Changed in firefox-3.0:
importance: Undecided → Low
status: Confirmed → Incomplete
Savvas Radevic (medigeek) wrote :

It was already installed here:
$ apt-cache policy xulrunner-1.9-gnome-support
xulrunner-1.9-gnome-support:
  Installed: 1.9~b5+nobinonly-0ubuntu4~8.04.0mt1
  Candidate: 1.9~b5+nobinonly-0ubuntu4~8.04.0mt1
  Version table:
 *** 1.9~b5+nobinonly-0ubuntu4~8.04.0mt1 0
        500 http://nl.archive.ubuntu.com hardy-updates/main Packages
        100 /var/lib/dpkg/status
     1.9~b5+nobinonly-0ubuntu3 0
        500 http://nl.archive.ubuntu.com hardy/main Packages

It seems the problem has been partly fixed, folders, bookmarks and devices icons appear correctly. Now only the files don't have their icons. Attached a screenshot

On Mon, May 12, 2008 at 09:33:24PM -0000, Savvas Radević wrote:
> It was already installed here:
> $ apt-cache policy xulrunner-1.9-gnome-support
> xulrunner-1.9-gnome-support:
> Installed: 1.9~b5+nobinonly-0ubuntu4~8.04.0mt1
> Candidate: 1.9~b5+nobinonly-0ubuntu4~8.04.0mt1
> Version table:
> *** 1.9~b5+nobinonly-0ubuntu4~8.04.0mt1 0
> 500 http://nl.archive.ubuntu.com hardy-updates/main Packages
> 100 /var/lib/dpkg/status
> 1.9~b5+nobinonly-0ubuntu3 0
> 500 http://nl.archive.ubuntu.com hardy/main Packages
>
> It seems the problem has been partly fixed, folders, bookmarks and
> devices icons appear correctly. Now only the files don't have their
> icons. Attached a screenshot
>
> ** Attachment added: "now-files-only.png"
> http://launchpadlibrarian.net/14480177/now-files-only.png
>

This might as well be a gnome theme issue. try to select a different
theme in system -> preferences -> appearance ...

maybe that helps?

 status incomplete

 - Alexander

I too have the latest xulrunner-1.9-gnome-support installed already. There has been no improvement for me, and the majority of icons are still broken. Switching themes has mixed results, so I have attached screenshots using all themes I have installed. Note that elsewhere (eg. open in text editor, even open file in firefox-3.0) the dialog displays all icons correctly.

Changed in firefox-3.0:
status: Incomplete → Confirmed
Savvas Radevic (medigeek) wrote :

This problem is not firefox-only, I'm having the exact same problem in epiphany-browser

Alexander, still having the same problem. I've also noticed that besides the files having "red x" icon, the button "Add" and the button that links to the root "/" have too the same red x icon.

Hewus, try this:
sudo apt-get install --reinstall gnome-icon-theme human-icon-theme shared-mime-info gnome-mime-data libgtk2.0-0
sudo update-mime /usr/share/mime/
sudo update-mime-database /usr/share/mime/
gtk-update-icon-cache /usr/share/icons/Human/
sudo gtk-update-icon-cache /usr/share/icons/Human/

Then log out and log in again, can you make one more screenshot?

Hew (hew) wrote :

Folder icons are working now, but still no file icons. This is a great improvement :-)

On Tue, May 13, 2008 at 08:23:16AM -0000, Hewus wrote:
> Folder icons are working now, but still no file icons. This is a great
> improvement :-)
>
> ** Attachment added: "Screenshot after following Savvas' instructions"
> http://launchpadlibrarian.net/14488369/redx-almostthere.png
>

Which theme do you have configured in system -> preference ->
appearance? Maybe you selected a special icon theme?

 - Alexander

Alexander, he said he changed the themes, the themes such as Human change the icon set respectively, don't they?

I tried the Live CD mode, I have run the hardy amd64 cd some minutes ago. I updated the sources and installed flashplugin-nonfree.
Then tried filedropper.com and scribd.com/upload - this problem appears *exactly* as this one, where all the icons are marked with a "red x":
http://launchpadlibrarian.net/13537156/upload_at_scribd-com.png

..then if you do what I suggest, you get a fixed up version, where only the files and a couple of buttons have a "red x" icon:
http://launchpadlibrarian.net/14480177/now-files-only.png

Hew (hew) wrote :

I am using Human-Murrine (Human produces exactly the same result). I showed in my previous collection of screenshots that it is nothing to do with a particular theme, and that it occurs using the defaults. I also noted that this issue does not occur in other open dialogs, but only those present in flash upload boxes (scribd, filedropper), so I'm not sure why nspluginwrapper was marked invalid. I thought Savvas was onto something earlier in this report in that the problem is only experienced with flash on 64-bit systems. It may also be useful to note that this is a fresh install of Hardy release.

Savvas Radevic (medigeek) wrote :

Well this is indeed a 64-bit related, I tried on a virtual machine with i386 Ubuntu and the icons appear correctly (the files have an "empty text document" icon).
Even the first line of the warnings output in gnome terminal says so: "wrong ELF class: ELFCLASS64" :)

On Tue, May 13, 2008 at 11:20:49AM -0000, Hewus wrote:
> I am using Human-Murrine (Human produces exactly the same result). I
> showed in my previous collection of screenshots that it is nothing to do
> with a particular theme, and that it occurs using the defaults. I also
> noted that this issue does not occur in other open dialogs, but only
> those present in flash upload boxes (scribd, filedropper), so I'm not
> sure why nspluginwrapper was marked invalid. I thought Savvas was onto
> something earlier in this report in that the problem is only experienced
> with flash on 64-bit systems. It may also be useful to note that this is
> a fresh install of Hardy release.
>

nspluginwrapper has nothing to do with these kind of icons in the file
dialog.

Is this only and issue on LiveCD?

 - Alexander

No... it is present on 64-bit hard drive installations, as well as on the 64-bit livecd. I've attached yet another screenshot; hopefully this will clarify the issue further..

Alexander Sack (asac) wrote :

ok, sorry i misread this whole thing ... updating summary accordingly.

Changed in nspluginwrapper:
status: Invalid → Confirmed
Changed in firefox-3.0:
status: Confirmed → Invalid
Alexander Sack (asac) wrote :

not sure if nspluginwrapper can fix this on its own.

Changed in flashplugin-nonfree:
status: New → Confirmed
Ederic (ederic) wrote :

is there any update regarding this problem?

Hew (hew) wrote :

Not here, I can still reproduce this issue.

Changed in nspluginwrapper:
importance: Undecided → Low
Changed in flashplugin-nonfree:
importance: Undecided → Low
Gomez (pinecone) wrote :

I believe this issue should be moved to a higher importance as more and more sites are relying on flash for their uploads.
Another example of a site that can reproduce this bug is:
http://www.vimeo.com

I have also tested this in epiphany web browser, with the same results, leading me to believe it has to do with the non-free flash plugin.

Like stated in above posts, the browser will basically lock up, and has to be forced quit.
I am running 8.04, Hardy.

Gomez wrote:
> I believe this issue should be moved to a higher importance as more and more sites are relying on flash for their uploads.
> Another example of a site that can reproduce this bug is:
> http://www.vimeo.com
>
> I have also tested this in epiphany web browser, with the same results,
> leading me to believe it has to do with the non-free flash plugin.
>
> Like stated in above posts, the browser will basically lock up, and has to be forced quit.
> I am running 8.04, Hardy.
>
> ** Also affects: epiphany-browser
> Importance: Undecided
> Status: New
>
>
To help in this can you please grab my package of flash10 and
libflashsupport to see if its flash 9 that is causing this bug? Please
download the packages and install please dont add repo to your
sources.list as there will become more unstable packages in the near future.
https://edge.launchpad.net/~gnomefreak/+archive

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Savvas Radevic (medigeek) wrote :

> To help in this can you please grab my package of flash10 and
> libflashsupport to see if its flash 9 that is causing this bug?

flashplugin-nonfree: 10.0.1.218ubuntu1~8.04~mt

Shockwave Flash
    File name: npwrapper.libflashplayer.so
    Shockwave Flash 10.0 b218
application/x-shockwave-flash Shockwave Flash swf Yes
application/futuresplash FutureSplash Player spl Yes

1) www.scribd.com/upload (the flash-based upload) doesn't work anymore
2) filedropper.com appears to be missing the file icons again (folders are ok)
Attached a screenshot

Terminal output of firefox:
(npviewer.bin:32379): Gtk-WARNING **:
/usr/lib/gtk-2.0/2.10.0/filesystems/libgio.so: wrong ELF class:
ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-file' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-file' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-edit' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-add' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-remove' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-edit' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-add' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-remove' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64
(npviewer.bin:32379): Gtk-WARNING **: Error loading theme icon
'gtk-edit' for stock: Unable to load image-loading module:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so:
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF
class: ELFCLASS64

Hew (hew) wrote :

Gomez: As you stated yourself, this is a flash/nspluginwrapper issue. It is not a bug in epiphany (or firefox). Closing for epiphany-browser.

Low is the correct importance for this bug as it is a cosmetic issue and does not affect functionality. Please read https://wiki.ubuntu.com/Bugs/Importance for further info.

Nowhere in this report has it been mentioned that the browser locks up. It is simply an issue of icons not being displayed. If you have to force quit your browser, then you are experiencing a different issue, and should look for the appropriate bug. Thanks!

Changed in epiphany-browser:
status: New → Invalid
Savvas Radevic (medigeek) wrote :

> Nowhere in this report has it been mentioned that the browser locks up.
Actually it was locking up, but that was the pre-release of firefox
3.0, now that is fixed (yay!)

And I agree that this bug is about a cosmetic issue

Alexander Sack (asac) wrote :

maybe ia32-libs just lacks a few libs like gio? otherwise this is just a flashplugin-nonfree issue imo.

Changed in ia32-libs:
status: New → Confirmed
Hew (hew) wrote :

Still an issue in current Intrepid.

Savvas Radevic (medigeek) wrote :

This seems to be fixed for me, just tested it with www.filedropper.com
Ubuntu intrepid ibex 8.10 beta (updated)

apt-cache policy firefox-3.0 ia32-libs nspluginwrapper flashplugin-nonfree
firefox-3.0:
  Installed: 3.0.3+nobinonly-0ubuntu1
  Candidate: 3.0.3+nobinonly-0ubuntu1
  Version table:
 *** 3.0.3+nobinonly-0ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
ia32-libs:
  Installed: 2.2ubuntu17
  Candidate: 2.2ubuntu17
  Version table:
 *** 2.2ubuntu17 0
        500 http://archive.ubuntu.com intrepid/universe Packages
        100 /var/lib/dpkg/status
nspluginwrapper:
  Installed: 1.1.0-0ubuntu2
  Candidate: 1.1.0-0ubuntu2
  Version table:
 *** 1.1.0-0ubuntu2 0
        500 http://archive.ubuntu.com intrepid/multiverse Packages
        100 /var/lib/dpkg/status
flashplugin-nonfree:
  Installed: 10.0.12.10ubuntu1
  Candidate: 10.0.12.10ubuntu1
  Version table:
 *** 10.0.12.10ubuntu1 0
        500 http://archive.ubuntu.com intrepid/multiverse Packages
        100 /var/lib/dpkg/status

Hew (hew) wrote :

I can confirm this has now been fixed in Intrepid. From some quick testing, it looks like the fix has been included in ia32-libs, so marking that as fixed and closing the others.

Changed in ia32-libs:
status: Confirmed → Fix Released
Changed in flashplugin-nonfree:
status: Confirmed → Invalid
Changed in nspluginwrapper:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers